### Method

# Gimp Vector2 cross_product_val

#### Declaration [src]

    GimpVector2
    gimp_vector2_cross_product_val (
      GimpVector2 vector1,
      GimpVector2 vector2
    )

#### Description [src]

Identical to `gimp_vector2_cross_product()`, but the vectors are passed by value rather than by reference.

#### Parameters

`vector2` | `GimpVector2`
| The second `GimpVector2`.

#### Return value

Returns: | `GimpVector2`
| The cross product.